<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: src/plugins/robots/crazyflie/simulator/pointmass3d_crazyflie_model.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_7020b8b7abcceffa3f9f7a2d24718f16.html">plugins</a></li><li class="navelem"><a class="el" href="dir_57fbab4b29583c403f1efb5284ea3eb3.html">robots</a></li><li class="navelem"><a class="el" href="dir_82540c9fcfb987b606f5fb531cb7ce0a.html">crazyflie</a></li><li class="navelem"><a class="el" href="dir_8f67be75dbc917b3ef586b0672f32ede.html">simulator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">pointmass3d_crazyflie_model.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="pointmass3d__crazyflie__model_8h_source.html">pointmass3d_crazyflie_model.h</a>&quot;</code><br />
<code>#include &lt;argos3/core/utility/logging/argos_log.h&gt;</code><br />
<code>#include &lt;argos3/core/utility/math/cylinder.h&gt;</code><br />
<code>#include &lt;argos3/core/simulator/simulator.h&gt;</code><br />
<code>#include &lt;argos3/core/simulator/space/space.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for pointmass3d_crazyflie_model.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="pointmass3d__crazyflie__model_8cpp__incl.png" border="0" usemap="#asrc_2plugins_2robots_2crazyflie_2simulator_2pointmass3d__crazyflie__model_8cpp" alt=""/></div>
<map name="asrc_2plugins_2robots_2crazyflie_2simulator_2pointmass3d__crazyflie__model_8cpp" id="asrc_2plugins_2robots_2crazyflie_2simulator_2pointmass3d__crazyflie__model_8cpp">
<area shape="rect" title=" " alt="" coords="565,5,721,76"/>
<area shape="rect" href="pointmass3d__crazyflie__model_8h.html" title=" " alt="" coords="242,124,394,165"/>
<area shape="rect" title=" " alt="" coords="418,124,557,165"/>
<area shape="rect" title=" " alt="" coords="581,124,706,165"/>
<area shape="rect" title=" " alt="" coords="730,124,877,165"/>
<area shape="rect" title=" " alt="" coords="901,124,1047,165"/>
<area shape="rect" title=" " alt="" coords="5,213,207,269"/>
<area shape="rect" title=" " alt="" coords="231,221,405,262"/>
<area shape="rect" title=" " alt="" coords="430,213,577,269"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceargos"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceargos.html">argos</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a0bbda8f78e192329d64cadb8d7376291"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceargos.html#a0bbda8f78e192329d64cadb8d7376291">argos::REGISTER_STANDARD_POINTMASS3D_OPERATIONS_ON_ENTITY</a> (CCrazyflieEntity, CPointMass3DCrazyflieModel)</td></tr>
<tr class="separator:a0bbda8f78e192329d64cadb8d7376291"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
